> ## Documentation Index
> Fetch the complete documentation index at: https://portkey-docs-add-third-party-integration-issues-fixes.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Usage Limits Policy

> Get a single usage limits policy by ID.



## OpenAPI

````yaml get /policies/usage-limits/{policyUsageLimitsId}
openapi: 3.0.0
info:
  title: Portkey API
  description: >-
    The Portkey REST API. Please see https://portkey.ai/docs/api-reference for
    more details.
  version: 2.0.0
  termsOfService: https://portkey.ai/terms
  contact:
    name: Portkey Developer Forum
    url: https://portkey.wiki/community
  license:
    name: MIT
    url: https://github.com/Portkey-AI/portkey-openapi/blob/master/LICENSE
servers:
  - url: https://api.portkey.ai/v1
    description: Portkey API Public Endpoint
security:
  - Portkey-Key: []
tags:
  - name: Assistants
    description: Build Assistants that can call models and use tools.
  - name: Audio
    description: Turn audio into text or text into audio.
  - name: Chat
    description: >-
      Given a list of messages comprising a conversation, the model will return
      a response.
  - name: Realtime
    description: WebSocket proxy for provider Realtime APIs
  - name: Collections
    description: Create, List, Retrieve, Update, and Delete collections of prompts.
  - name: Labels
    description: Create, List, Retrieve, Update, and Delete labels.
  - name: Prompt Collections
    description: Create, List, Retrieve, Update, and Delete prompt collections.
  - name: PromptPartials
    description: Create, List, Retrieve, Update, and Delete prompt partials.
  - name: Prompts
    description: >-
      Given a prompt template ID and variables, will run the saved prompt
      template and return a response.
  - name: Guardrails
    description: Create, List, Retrieve, Update, and Delete prompt Guardrails.
  - name: Completions
    description: >-
      Given a prompt, the model will return one or more predicted completions,
      and can also return the probabilities of alternative tokens at each
      position.
  - name: Embeddings
    description: >-
      Get a vector representation of a given input that can be easily consumed
      by machine learning models and algorithms.
  - name: Rerank
    description: >-
      Rerank a list of documents based on their relevance to a query. Supported
      providers include Cohere, Voyage, Jina, Pinecone, Bedrock, and Azure AI.
  - name: Fine-tuning
    description: Manage fine-tuning jobs to tailor a model to your specific training data.
  - name: Batch
    description: Create large batches of API requests to run asynchronously.
  - name: Files
    description: >-
      Files are used to upload documents that can be used with features like
      Assistants and Fine-tuning.
  - name: Images
    description: Given a prompt and/or an input image, the model will generate a new image.
  - name: Models
    description: List and describe the various models available in the API.
  - name: Moderations
    description: >-
      Given a input text, outputs if the model classifies it as potentially
      harmful.
  - name: Configs
    description: Create, List, Retrieve, and Update your Portkey Configs.
  - name: Feedback
    description: Send and Update any feedback.
  - name: Logs
    description: Custom Logger to add external logs to Portkey.
  - name: Integrations
    description: Create, List, Retrieve, Update, and Delete your Portkey Integrations.
  - name: Integrations > Workspaces
    description: Manage workspace access for your Portkey Integrations.
  - name: Integrations > Models
    description: Manage model access for your Portkey Integrations.
  - name: Providers
    description: Create, List, Retrieve, Update, and Delete your Portkey Providers.
  - name: Virtual-keys
    description: Create, List, Retrieve, Update, and Delete your Portkey Virtual keys.
  - name: Users
    description: Create and manage users.
  - name: User-invites
    description: Create and manage user invites.
  - name: Workspaces
    description: Create and manage workspaces.
  - name: Workspaces > Members
    description: Create and manage workspace members.
  - name: MCP Integrations
    description: Create, List, Retrieve, Update, and Delete MCP Integrations.
  - name: MCP Integrations > Workspaces
    description: Manage workspace access for MCP Integrations.
  - name: MCP Integrations > Capabilities
    description: List and manage capabilities for MCP Integrations.
  - name: MCP Integrations > Metadata
    description: Get MCP Integration metadata and sync info.
  - name: MCP Servers
    description: >-
      Create, List, Retrieve, Update, and Delete MCP Servers (workspace
      instances of MCP Integrations).
  - name: MCP Servers > Capabilities
    description: List and manage capabilities for MCP Servers.
  - name: MCP Servers > User Access
    description: List and manage user access for MCP Servers.
  - name: MCP Servers > Connections
    description: List and manage user connections for MCP Servers.
  - name: Api-Keys
    description: Create, List, Retrieve, Update, and Delete your Portkey API keys.
  - name: Logs Export
    description: Exports logs service.
  - name: Audit Logs
    description: Get audit logs for your Portkey account.
  - name: Analytics
    description: >-
      Get analytics over different data points like requests, costs, tokens,
      etc.
  - name: Analytics > Graphs
    description: Get data points for graphical representation.
  - name: Analytics > Summary
    description: Get overall summary for the selected time bucket.
  - name: Analytics > Groups
    description: Get grouped metrics for the selected time bucket.
  - name: Usage Limits Policies
    description: Manage usage limits policies to control total usage over time
  - name: Rate Limits Policies
    description: Manage rate limits policies to control request or token rates
  - name: Model Pricing
    description: Model pricing configurations for 2300+ LLMs across 40+ providers
  - name: Secret-References
    description: >-
      Create, List, Retrieve, Update, and Delete secret references to external
      secret managers.
paths:
  /policies/usage-limits/{policyUsageLimitsId}:
    get:
      tags:
        - Usage Limits Policies
      summary: Get Usage Limits Policy
      description: Get a single usage limits policy by ID.
      operationId: getUsageLimitsPolicy
      parameters:
        - $ref: '#/components/parameters/PolicyUsageLimitsId'
        - name: status
          in: query
          description: Filter by status
          required: false
          schema:
            type: string
            enum:
              - active
              - archived
            default: active
        - name: include_usage
          in: query
          description: Include usage information for each value key
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Usage limits policy details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageLimitsPolicyResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Policy not found
        '500':
          description: Server error
      security:
        - Portkey-Key: []
components:
  parameters:
    PolicyUsageLimitsId:
      name: policyUsageLimitsId
      in: path
      required: true
      description: Usage limits policy UUID
      schema:
        type: string
        format: uuid
  schemas:
    UsageLimitsPolicyResponse:
      allOf:
        - $ref: '#/components/schemas/UsageLimitsPolicy'
        - type: object
          properties:
            object:
              type: string
              example: policy_usage_limits
    UsageLimitsPolicy:
      type: object
      required:
        - id
        - type
        - status
        - workspace_id
        - organisation_id
        - created_at
        - last_updated_at
      properties:
        id:
          type: string
          format: uuid
          description: Policy UUID
        name:
          type: string
          nullable: true
          description: Policy name
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/Condition'
          description: Array of conditions
        group_by:
          type: array
          items:
            $ref: '#/components/schemas/GroupBy'
          description: Array of group by fields
        type:
          type: string
          enum:
            - cost
            - tokens
          description: Policy type
        credit_limit:
          type: number
          description: Maximum usage allowed
        alert_threshold:
          type: number
          nullable: true
          description: Alert threshold
        periodic_reset:
          type: string
          nullable: true
          enum:
            - monthly
            - weekly
          description: Reset period
        periodic_reset_days:
          type: integer
          nullable: true
          minimum: 1
          maximum: 365
          description: >-
            Reset the usage counter every N days (1-365). Mutually exclusive
            with periodic_reset.
        next_usage_reset_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            ISO 8601 datetime for the next scheduled usage reset. Populated for
            periodic_reset_days policies.
        last_reset_at:
          type: string
          format: date-time
          nullable: true
          description: ISO 8601 datetime of the last usage reset.
        status:
          type: string
          enum:
            - active
            - archived
          description: Policy status
        workspace_id:
          type: string
          format: uuid
          description: Workspace UUID
        organisation_id:
          type: string
          format: uuid
          description: Organization UUID
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        last_updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        value_key_usage_map:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValueKeyUsage'
          description: >-
            Map of value keys to usage information (only included when
            include_usage=true)
    Condition:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
          description: >
            Condition key. Valid values:

            - `api_key` - Apply to a specific API key

            - `organisation_id` - Apply to an organization

            - `workspace_id` - Apply to a workspace

            - `metadata.*` - Apply based on custom metadata fields (e.g.,
            `metadata.user_id`, `metadata.team`)
          example: workspace_id
        value:
          type: string
          description: Condition value
          example: workspace-123
    GroupBy:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: |
            Group by key. Valid values:
            - `api_key` - Group by API key
            - `organisation_id` - Group by organization
            - `workspace_id` - Group by workspace
            - `metadata.*` - Group by custom metadata fields
          example: api_key
    ValueKeyUsage:
      type: object
      properties:
        current_usage:
          type: number
          description: Current usage value
        status:
          type: string
          enum:
            - active
            - exhausted
          description: Usage status
        is_threshold_alerts_sent:
          type: boolean
          description: Whether threshold alerts have been sent
        is_exhausted_alerts_sent:
          type: boolean
          description: Whether exhausted alerts have been sent
  securitySchemes:
    Portkey-Key:
      type: apiKey
      in: header
      name: x-portkey-api-key

````